error 'View all issues' link at issues's sidebar
2007-12-05 01:28 - zeous park
Assignee: % Done: 0%
Resolution: Affected version:

Description

hi everybody~

| found a bug that 'View all issues' link don't act exactly at issues's sidebar.
When i used custom queries at issue list, 'View all issues' clicked and changed
all issues list exactly.

but 'View all issues' don't changed when i showed some issue.

i think that
source code has a bugs at app/views/issues/_sidebar.rhtml ,line 7
<%= link_to I(:label_issue_view_all), { :set_filter => 1 } %><br />

it means that url is made flexibly and full url is different
http://localhost:3004/projects/1/issues?set_filter=1
http://localhost:3004/issues/show/397?set_filter=1

i modified source code
<%= link_to I(:label_issue_view_all), '/projects/'+@project.id.to_s+'/issues?set_filter=1' %><br />

i don't want to use direct url but i don't know another solution like
:controller=>, :action=>, id=> ...

thanks for reading~
cheer~

History

#1 - 2007-12-07 06:44 - Jean-Philippe Lang
This problem is fixed in r937.

#2 - 2007-12-10 14:38 - Jean-Philippe Lang
Fixed in 0.6.1
